Message d'erreur "session side-effect"

More
5 years 4 months ago - 5 years 4 months ago #68371 by HpH
Bonjour à tous,

J'ai une erreur qui s'affiche en bas de page à l'arrivée sur les questionnaires que j'héberge chez free, ainsi que sur la page de la première question / premier groupe de questions...

Warning: Unknown: Your script possibly relies on a session side-effect which existed until PHP 4.2.3. Please be advised that the session extension does not consider global variables as a source of data, unless register_globals is enabled. You can disable this functionality and this warning by setting session.bug_compat_42 or session.bug_compat_warn to off, respectively. in Unknown on line 0

Après avoir validé la première question / le premier groupe, ce message d'erreur disparaît.

J'ai recherché une solution sur le forum et dans les faq, mais je n'ai rien trouvé...

Quelqu'un aurait-il une solution svp ?

Merci.
Last Edit: 5 years 4 months ago by HpH.

Please Log in to join the conversation.

More
5 years 4 months ago #68385 by Nickko
Je pense que ton problème est une version obsolète de PHP, peux-tu nous en dire plus quant à ton serveur ?

Nickko
Ergonome / Usability expert

Please Log in to join the conversation.

More
5 years 4 months ago #68386 by HpH
J'ai activé la version 5.1.3RC4 de PHP, via un fichier .htaccess à la racine du site.
mbstring, pcre, iconv, GD sont activés.
La version du client MySQL est 5.1.35.

Sinon, j'ai aussi créé un dossier [sessions] à la racine de mon site...

Faudrait-il créé un fichier .htaccess activant PHP 5 dans tous les dossiers ? (je pensais qu'il suffisait de le mettre à la racine...)

Please Log in to join the conversation.

More
5 years 4 months ago #68396 by Nickko
Tu es hébergez chez qui ?
Si tu fait un phpinfo(), ça donne bien PHP5 ?

Je pense aussi que .htaccess à la racine est suffisant mais p-ê faudrait-il vérifier avec ton hébergeur. Lui seul connait les réglages de ton serveur.

Nickko
Ergonome / Usability expert

Please Log in to join the conversation.

More
5 years 4 months ago #68494 by HpH
Je suis hébergé chez Free.
Et en faisant un phpinfo(), j'ai bien PHP 5 qui est activé...

Please Log in to join the conversation.

More
5 years 4 months ago #68495 by Nickko
Il fallait commencer par là.
L'hébergement gratuit chez Free est quelques peu limité et l'hébergement d'outils professionnels demande parfois plus que ce qui est nécessaire pour 3 pages persos.

Tu as bien suivi les instructions d'installation fournis dans la documentation ?

docs.limesurvey.org/FAQ+de+l'installatio...eSurvey_chez_free.fr

Nickko
Ergonome / Usability expert

Please Log in to join the conversation.

More
5 years 4 months ago #68498 by HpH
J'ai bien suivi toutes les instructions d'installation dans la documentation, ainsi que la FAQ pour l'installation chez Free.
En fait le questionnaire fonctionne bien, mais j'ai ce message d'erreur...

Please Log in to join the conversation.

More
5 years 4 months ago #68500 by Nickko
S'il n'y a pas plus d'inconvénient, peut-être ne vaut-il pas la peine de chercher plus loin.

Comme je le disais, Free, est très limité, enfin c'est déjà très bien pour le prix que ça coute, mais tu ne peux pas attendre la même chose d'un hébergement gratuit que d'un hébergement pro.

Est-ce que les sondés voient aussi ce message ou, n'apparait-il que dans l'administration ?

Dans le 2° cas, je pense qu'il ne faut pas aller plus loin.

Nickko
Ergonome / Usability expert

Please Log in to join the conversation.

More
5 years 4 months ago #68501 by HpH
Le message apparait bien pour les sondés.
Je suis bien conscient des limitations qu'il peut y avoir chez Free, mais comme tu l'as dit, c'est gratuit. ;-)
Maintenant, ça m’arrangerait beaucoup que ce message d'erreur ne s'affiche plus... Il doit bien y avoir une solution.

Please Log in to join the conversation.

More
5 years 4 months ago #68502 by Nickko
La solution est peut-être de le placer en commentaire en bidouillant le modèle.

Si tu maitrises le HTML tu devrais pouvoir essayer seul. Si tu veux que je te file un coup de mains, il faudrait que tu me donne le lien pour afficher le questionnaire.

Nickko
Ergonome / Usability expert

Please Log in to join the conversation.

More
5 years 4 months ago #68506 by HpH
Je me débrouille en html, mais je ne vois pas où modifier le modèle...
Peux-tu m'éclairer stp.
Voici le lien du questionnaire pour que tu puisses voir le problème :
p.huffling.free.fr/dta/

Please Log in to join the conversation.

More
5 years 4 months ago #68507 by HpH
Je précise mon précédent post : je sais où trouver le modèle et le modifier, mais dans le modèle, je ne vois pas bien où est prévu l'affichage de cette erreur...

Please Log in to join the conversation.

More
5 years 4 months ago #68509 by Nickko
Essaie de placer <!-- après la balise </html> dans le pied de page.

Nickko
Ergonome / Usability expert

Please Log in to join the conversation.

More
5 years 4 months ago #68511 by HpH
Hmmm, peux tu préciser dans quel fichier stp ?
Est-ce dans un fichier du dossier Templates ? (je ne vois pas lequel...)
Ou dans un fichier .php ?

Please Log in to join the conversation.

More
5 years 4 months ago #68513 by Nickko
ah effectivement je ne trouve pas où modifier ça dans le template :-(
Attendons de voir si qqun de plus habile que moi peut t'aider.

Désolé de ne pas pouvoir t'apporter une meilleure solution.

Nickko
Ergonome / Usability expert

Please Log in to join the conversation.

Moderators: Nickko